Create an employee [DEPRECATED: Use create an account route] Run in API Explorer
Ask AI
Body
-
The first name of the employee.
-
The last name of the employee.
-
The email of the employee. Required when with_login is present.
-
Uuid of the assigned adviser
-
The role of the employee.
-
Denotes if the employee needs a billable login.
-
The departments the employee is part of
-
Group uuids belonging to the firm.
-
The uuid of the the adviser split that will be applied when this adviser adds charges
-
Employee's RMAR advice type
Value Description independent Independent restricted Restricted Values are
independentorrestricted.
POST
/api/v1/employee
curl \
--request POST 'https://api.plannrcrm.com/api/v1/employee' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"first_name":"Gareth","last_name":"Thompson","email":"gareth.thompson@plannrcrm.com","assigned_adviser_uuid":"f5c4d27d-04ce-47a0-a39f-55eea252eeb5","role":"owner","with_login":true,"departments":["paraplanner","adviser"],"groups":["16d8ec01-d761-42df-8c99-2ae269c55768","e094f2ce-4195-4983-a3a1-51fe18b3bd46","9b0bcbdb-5e6a-485f-a780-b559aad01a46"],"adviser_split_uuid":"3f6002cc-ce0c-4b90-9090-a17d94d745e7","advice_type":"independent"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"first_name": "Gareth",
"last_name": "Thompson",
"email": "gareth.thompson@plannrcrm.com",
"assigned_adviser_uuid": "f5c4d27d-04ce-47a0-a39f-55eea252eeb5",
"role": "owner",
"with_login": true,
"departments": [
"paraplanner",
"adviser"
],
"groups": [
"16d8ec01-d761-42df-8c99-2ae269c55768",
"e094f2ce-4195-4983-a3a1-51fe18b3bd46",
"9b0bcbdb-5e6a-485f-a780-b559aad01a46"
],
"adviser_split_uuid": "3f6002cc-ce0c-4b90-9090-a17d94d745e7",
"advice_type": "independent"
}
Response examples (200)
{
"firm": {
"tax": 17.5,
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"name": "Codepotato",
"slug": "codepotato",
"uuid": "3ed6617e-74d2-46fd-bdde-7731adbffdf3",
"county": "Hampshire",
"billing": {
"invoice_email": "gareth@codepotato.co.uk",
"invoice_county": "Hampshire",
"invoice_country": "United Kingdom",
"invoice_postcode": "PO7 7YH",
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville"
},
"country": "United Kingdom",
"postcode": "PO7 7YH",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"month_end": 25,
"town_city": "Waterlooville",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"brand_colours": {
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"email_sub_text": "#FFFFFF",
"sidebar_accent": "#36367E",
"sidebar_active": "#53DBB8",
"email_background": "#0E0E56",
"email_button_text": "#FFFFFF",
"portal_background": "#F6F6F6",
"portal_brand_title": "#323B4B",
"sidebar_background": "#0E0E56",
"portal_sidebar_icon": "#828994",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_title": "#11151D",
"sidebar_title_primary": "#FFC634",
"portal_brand_sub_title": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"email_button_background": "#36367E",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_background": "#36367E",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_icon_active": "#828994",
"portal_sidebar_text_active": "#323B4B",
"email_logo_background_panel": "#36367E",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_button_active": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"regulatory_text": "Regulatory text",
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"statement_frequency": "monthly",
"task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
"keep_deleted_files_for": 30,
"reply_to_email_address": "jack@example.com",
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"mobile_app_support_email": "support@example.com",
"mobile_app_support_number": "01234 567890",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true
},
"name": "Gareth Thompson",
"role": "client",
"tags": [
{
"name": "Mortgage",
"slug": "mortgage",
"uuid": "030d7be4-b639-4fa1-bd0e-6afeaf03793e",
"colour": "#ef4582",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00"
}
],
"type": "client",
"uuid": "5a132df7-2a54-4e60-8b20-717387ab86ef",
"email": "gareth@codepotato.co.uk",
"groups": [
{
"name": "finance",
"slug": "finance",
"uuid": "28aff7f2-503d-4d46-aa0d-8f37129eb59d",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"participants": {
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"uuid": {
"example": "43262dd8-41bc-4dc8-b971-0575539fa1b0",
"description": "UUID of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
}
},
"participants_count": "3"
}
],
"owners": [
{
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "156cc2c5-d9a6-4987-ae00-1e8673baf1ca",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
}
],
"circles": [
{
"name": "Jones Family",
"uuid": "9d1bccd9-1aac-4a04-acaa-13278353f631",
"groups": "App\\Http\\Resources\\GroupResource",
"accounts": "App\\Http\\Resources\\AccountResource",
"bg_colour": "#35f4e1",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"joint_account_uuid": "eb7b3d2e-7707-4276-b387-d433680bdc55",
"login_access_level": "write",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
],
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": [
{
"name": "Favourite Drink",
"type": "string",
"uuid": "3716ce04-a0ff-46cd-b782-863bee697f4e",
"value": "Coffee",
"help_text": "This is the client's favourite drink.",
"reference": "favourite_drink",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"is_required": false,
"selection_options": [
"Coffee",
"Tea",
"Water"
]
}
],
"introduced_by": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "ccdb2028-06d7-478e-94df-bfafb178cf58",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"primary_email": {
"name": "Work number",
"type": "phone_number",
"uuid": "96394b47-e27f-4521-b349-b533b202d9c5",
"value": "+443330903630",
"accounts": "App\\Http\\Resources\\AccountResource",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "8ba53ad8-a554-47db-b931-ab4dc271cd41",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": {
"name": "Research",
"uuid": "1eca8c52-7fe4-441a-8979-d697f10eed6c",
"account": "App\\Http\\Resources\\MinimalAccountResource",
"end_date": "2026-03-20T13:03:15+00:00",
"is_active": true,
"trackable": "App\\Http\\Resources\\MinimalAccountResource",
"created_at": "2026-03-20T13:25:15+00:00",
"start_date": "2026-03-20T12:35:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"description": "This is a description.",
"trackable_type": "Client",
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": [
{
"uuid": "191e9c11-83c0-413d-a2ab-d4bf665498fa",
"reference": "AB123456",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"third_party": "nucleus"
}
],
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "97ee8f10-a8d6-4a6a-8417-8163b406b683",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"joint_account_circle": {
"name": "Jones Family",
"uuid": "d844d5a2-b621-4c18-ab74-5c9d627e2ae7",
"groups": "App\\Http\\Resources\\GroupResource",
"accounts": "App\\Http\\Resources\\AccountResource",
"bg_colour": "#35f4e1",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"joint_account_uuid": "d6d6ab85-07cd-438f-bff3-c2f98ffb3220",
"login_access_level": "write",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": {
"name": "Work number",
"type": "phone_number",
"uuid": "534ff6c1-f5ed-4a76-9a34-6bce7df9fa3f",
"value": "+443330903630",
"accounts": "App\\Http\\Resources\\AccountResource",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"assigned_administrator": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "134c0614-38e7-4d0c-bce2-4322c2833dfc",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
}